package com.hotent.uc.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.hotent.base.model.Tree;
import com.hotent.uc.model.Org;
import java.util.ArrayList;
import java.util.List;

/**
 * @author 梁宏锦
 * @date 2024/07/22
 **/
public class OrgTreeVo extends Org implements Tree {
    @TableField(exist=false)
    protected List<OrgTreeVo> children = new ArrayList<OrgTreeVo>();

    @Override
    public String getText() {
        return null;
    }

    @Override
    public List getChildren() {
        return children;
    }

    @Override
    public void setChildren(List list) {
        this.children = children;
    }

    @Override
    public void setIsParent(String isParent) {

    }
}
